#include "ul_timing.h"

volatile U8 flags_tmr;
U8  tmr_001, tmr_strt;
U16 tmr_01, tmr_1;

void delay_short(U16 adelay) {
    while (--adelay);
}


void delay_tmr_ticks(U16 adelay) {
    while (adelay) {
        // set wait flag
        cli();
        flags_tmr |= FLAG_TMR_WAIT;
        sei();
        // wait for flag cleaning
        while (flags_tmr & FLAG_TMR_WAIT);
        adelay--;
    }
}

