#include "lighting.h"

void setup_lighting(void) {
}

void update_lighting(void) {
    ADMUX = 0;
    ADCSRA = (1 << ADEN)|(1 << ADSC)|(1 << ADPS2)|(1 << ADPS1);
    while (ADCSRA & (1 << ADSC));
    U16 adc = ADC;
    if (adc < LIGHTING_ADC_MIN) adc = LIGHTING_ADC_MIN;
    if (adc > LIGHTING_ADC_MAX) adc = LIGHTING_ADC_MAX;
    adc = (LIGHTING_ADC_MAX + LIGHTING_ADC_MIN) - adc;
    lighting_adc = (lighting_adc + adc) >> 1;
    lighting_pwm = (lighting_adc - LIGHTING_ADC_MIN) * (U32)(LIGHTING_PWM_MAX - LIGHTING_PWM_MIN) / (LIGHTING_ADC_MAX - LIGHTING_ADC_MIN) + LIGHTING_PWM_MIN;
    OCR2 = lighting_pwm;
}

