#if (!defined(RTC_DS3231_INCLUDED))
    #define RTC_DS3231_INCLUDED 1

#include "ul_rtc.h"


U8 ds3231_buf[DS3231_REGS_SIZE]; /**< \brief DS3231 registers buffer<br>буфер для регистров DS3231 \ingroup group_rtc */

// moves data from DS3231 buffer to RTC buffer
void ds3231_to_rtc(struct_rtc *rtc);
// moves data from RTC buffer to DS3231 buffer
void rtc_to_ds3231(struct_rtc *rtc);

// reads DS3231 registers into buffer
void ds3231_rd(void);
// writes DS3231 buffer into registers
void ds3231_wr(void);
// returns temperature from DS3231 register
S16 ds3231_temperature(void);

#endif

